/********************************************************************************/
/*																				*/
/*	MSG_DEFS.H																	*/
/* 																				*/
/*	(c) 2000 Hunt Engineering													*/
/*	    All Rights Reserved														*/
/*																				*/
/*  This file contains the message definitions for the demo 					*/
/* 																				*/
/* 	Version		Date		Version Author	Comments							*/
/*	-------		----		--------------	--------							*/
/* 																				*/
/*		1.0		21-10-03	PW				FPGA imaging demo                   */
/* 																				*/
/********************************************************************************/

/* Definitions of system messages				*/


#define	DSPCMD_MODE 	0x8003		// two 32-bit words - message plus mode

// defines for demo mode
#define NONE            0x0000
#define NOT 			0x0001
#define ANDK			0x0002
#define SQU             0x0003
#define MPYK            0x0004
#define RSHK            0x0005
#define LSHK            0x0006
#define ADDK			0x0007
#define ORK		    	0x0008
#define XORK            0x0009
#define SUBK            0x000A
#define FILLK           0x000B
#define RAMP	    	0x000C
#define LOAD	    	0x000D
#define ADD 	    	0x000E
#define AND 	    	0x000F
#define OR  	    	0x0010
#define SUB 	    	0x0011
#define XOR             0x0012
#define MPY             0x0013
#define vSOBEL 			0x0014
#define hSOBEL	    	0x0015
#define vPREWITT    	0x0016
#define hPREWITT        0x0017
#define LAPLACIAN       0x0018
#define LPFILTER        0x0019
#define SHARPEN         0x001A
#define vSOBEL5X5		0x001B
#define hSOBEL5X5    	0x001C
#define LAPLACIAN5X5    0x001D

#define HALTTHREAD		0x0100
